Enables users to create and manage connections to Google Cloud services and third-party business applications using the Connectors interface.
- REST Resource: v1.projects.locations
- REST Resource: v1.projects.locations.connections
- REST Resource: v1.projects.locations.connections.connectionSchemaMetadata
- REST Resource: v1.projects.locations.connections.eventSubscriptions
- REST Resource: v1.projects.locations.connections.runtimeActionSchemas
- REST Resource: v1.projects.locations.connections.runtimeEntitySchemas
- REST Resource: v1.projects.locations.customConnectors
- REST Resource: v1.projects.locations.customConnectors.customConnectorVersions
- REST Resource: v1.projects.locations.endpointAttachments
- REST Resource: v1.projects.locations.global
- REST Resource: v1.projects.locations.global.customConnectors
- REST Resource: v1.projects.locations.global.customConnectors.customConnectorVersions
- REST Resource: v1.projects.locations.global.managedZones
- REST Resource: v1.projects.locations.operations
- REST Resource: v1.projects.locations.providers
- REST Resource: v1.projects.locations.providers.connectors
- REST Resource: v1.projects.locations.providers.connectors.versions
- REST Resource: v1.projects.locations.providers.connectors.versions.eventtypes
Service: connectors.googleapis.com
To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.
Discovery document
A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:
Service endpoint
A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:
https://connectors.googleapis.com
REST Resource: v1.projects.locations
| Methods | |
|---|---|
get |
GET /v1/{name=projects/*/locations/*} Gets information about a location. |
getRegionalSettings |
GET /v1/{name=projects/*/locations/*/regionalSettings} GetRegionalSettings gets settings of a region. |
getRuntimeConfig |
GET /v1/{name=projects/*/locations/*/runtimeConfig} Gets the runtimeConfig of a location. |
list |
GET /v1/{name=projects/*}/locations Lists information about the supported locations for this service. |
updateRegionalSettings |
PATCH /v1/{regionalSettings.name=projects/*/locations/*/regionalSettings} Update the settings of a region. |
REST Resource: v1.projects.locations.connections
| Methods | |
|---|---|
create |
POST /v1/{parent=projects/*/locations/*}/connections Creates a new Connection in a given project and location. |
delete |
DELETE /v1/{name=projects/*/locations/*/connections/*} Deletes a single Connection. |
get |
GET /v1/{name=projects/*/locations/*/connections/*} Gets details of a single Connection. |
getConnectionSchemaMetadata |
GET /v1/{name=projects/*/locations/*/connections/*/connectionSchemaMetadata} Gets schema metadata of a connection. |
getIamPolicy |
GET /v1/{resource=projects/*/locations/*/connections/*}:getIamPolicy Gets the access control policy for a resource. |
list |
GET /v1/{parent=projects/*/locations/*}/connections Lists Connections in a given project and location. |
patch |
PATCH /v1/{connection.name=projects/*/locations/*/connections/*} Updates the parameters of a single Connection. |
repairEventing |
POST /v1/{name=projects/*/locations/*/connections/*}:repairEventing RepaiEventing tries to repair eventing related event subscriptions. |
search |
GET /v1/{name=projects/*/locations/*/connections}:search Returns Top matching Connections for a given query. |
setIamPolicy |
POST /v1/{resource=projects/*/locations/*/connections/*}:setIamPolicy Sets the access control policy on the specified resource. |
testIamPermissions |
POST /v1/{resource=projects/*/locations/*/connections/*}:testIamPermissions Returns permissions that a caller has on the specified resource. |
REST Resource: v1.projects.locations.connections.connectionSchemaMetadata
| Methods | |
|---|---|
getAction |
GET /v1/{name=projects/*/locations/*/connections/*/connectionSchemaMetadata}:getAction Get action. |
getEntityType |
GET /v1/{name=projects/*/locations/*/connections/*/connectionSchemaMetadata}:getEntityType Get entity type. |
listActions |
GET /v1/{name=projects/*/locations/*/connections/*/connectionSchemaMetadata}:listActions List actions. |
listEntityTypes |
GET /v1/{name=projects/*/locations/*/connections/*/connectionSchemaMetadata}:listEntityTypes List entity types. |
refresh |
POST /v1/{name=projects/*/locations/*/connections/*/connectionSchemaMetadata}:refresh Refresh runtime schema of a connection. |
REST Resource: v1.projects.locations.connections.eventSubscriptions
| Methods | |
|---|---|
create |
POST /v1/{parent=projects/*/locations/*/connections/*}/eventSubscriptions Creates a new EventSubscription in a given project,location and connection. |
delete |
DELETE /v1/{name=projects/*/locations/*/connections/*/eventSubscriptions/*} Deletes a single EventSubscription. |
get |
|